package com.ruoyi.system.domain;

import java.util.Date;
import java.io.Serializable;

/**
 * (VAssetlog)实体类
 *
 * @author makejava
 * @since 2024-05-28 10:21:18
 */
public class VAssetlog implements Serializable {
    private static final long serialVersionUID = -95759865997769797L;

    private Integer id;

    private Integer batchid;

    private Integer codeid;

    private Date created;

    private String username;

    private Integer userid;

    private String name;

    private String assetno;

    private String assettype;

    private Integer assettypeid;

    private String size;

    private String model;

    private String brand;

    private Date buyed;

    private Date madeat;

    private Integer assetunitid;

    private String assetunit;

    private Integer quantity;

    private Double unitprice;

    private Double totalprice;

    private String company;

    private Integer companyid;

    private String department;

    private Integer departmentid;

    private String savecompany;

    private Integer savecompanyid;

    private String savedepartment;

    private Integer savedepartmentid;

    private String location;

    private Integer locationid;

    private String used;

    private Integer usedid;

    private String duty;

    private Integer dutyid;

    private String assetstate;

    private Integer assetstateid;

    private String assetsource;

    private Integer assetsourceid;

    private Date postingdate;

    private Integer predictyear;

    private String discount;

    private String serialnumber;

    private String ischecked;

    private String financeno;

    private String financetype;

    private String originalno;

    private String factoryno;

    private String memo;

    private Date repairat;

    private String takestock;

    private Integer gone;

    private Integer state;

    private Date scrapat;

    private String scrapway;

    private String typepath;

    private String locationpath;

    private String companypath;

    private String photo;

    private String refuse;

    private Integer formula;

    private Integer guid;

    private Integer parentid;

    private Integer copyid;

    private Date jiti;

    private String para1;

    private Integer approvalid;

    private Integer receive;

    private String prevDepartment;

    private String prevCompany;

    private String prevDuty;

    private Integer prevDutyid;

    private String store;

    private Integer beforemonth;

    private Double beforedepreciation;

    private Integer prevDepid;

    private String newplace;

    private String mainassetno;

    private Integer tax;

    private String usefor;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getBatchid() {
        return batchid;
    }

    public void setBatchid(Integer batchid) {
        this.batchid = batchid;
    }

    public Integer getCodeid() {
        return codeid;
    }

    public void setCodeid(Integer codeid) {
        this.codeid = codeid;
    }

    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAssetno() {
        return assetno;
    }

    public void setAssetno(String assetno) {
        this.assetno = assetno;
    }

    public String getAssettype() {
        return assettype;
    }

    public void setAssettype(String assettype) {
        this.assettype = assettype;
    }

    public Integer getAssettypeid() {
        return assettypeid;
    }

    public void setAssettypeid(Integer assettypeid) {
        this.assettypeid = assettypeid;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public Date getBuyed() {
        return buyed;
    }

    public void setBuyed(Date buyed) {
        this.buyed = buyed;
    }

    public Date getMadeat() {
        return madeat;
    }

    public void setMadeat(Date madeat) {
        this.madeat = madeat;
    }

    public Integer getAssetunitid() {
        return assetunitid;
    }

    public void setAssetunitid(Integer assetunitid) {
        this.assetunitid = assetunitid;
    }

    public String getAssetunit() {
        return assetunit;
    }

    public void setAssetunit(String assetunit) {
        this.assetunit = assetunit;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public Double getUnitprice() {
        return unitprice;
    }

    public void setUnitprice(Double unitprice) {
        this.unitprice = unitprice;
    }

    public Double getTotalprice() {
        return totalprice;
    }

    public void setTotalprice(Double totalprice) {
        this.totalprice = totalprice;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public Integer getCompanyid() {
        return companyid;
    }

    public void setCompanyid(Integer companyid) {
        this.companyid = companyid;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public Integer getDepartmentid() {
        return departmentid;
    }

    public void setDepartmentid(Integer departmentid) {
        this.departmentid = departmentid;
    }

    public String getSavecompany() {
        return savecompany;
    }

    public void setSavecompany(String savecompany) {
        this.savecompany = savecompany;
    }

    public Integer getSavecompanyid() {
        return savecompanyid;
    }

    public void setSavecompanyid(Integer savecompanyid) {
        this.savecompanyid = savecompanyid;
    }

    public String getSavedepartment() {
        return savedepartment;
    }

    public void setSavedepartment(String savedepartment) {
        this.savedepartment = savedepartment;
    }

    public Integer getSavedepartmentid() {
        return savedepartmentid;
    }

    public void setSavedepartmentid(Integer savedepartmentid) {
        this.savedepartmentid = savedepartmentid;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Integer getLocationid() {
        return locationid;
    }

    public void setLocationid(Integer locationid) {
        this.locationid = locationid;
    }

    public String getUsed() {
        return used;
    }

    public void setUsed(String used) {
        this.used = used;
    }

    public Integer getUsedid() {
        return usedid;
    }

    public void setUsedid(Integer usedid) {
        this.usedid = usedid;
    }

    public String getDuty() {
        return duty;
    }

    public void setDuty(String duty) {
        this.duty = duty;
    }

    public Integer getDutyid() {
        return dutyid;
    }

    public void setDutyid(Integer dutyid) {
        this.dutyid = dutyid;
    }

    public String getAssetstate() {
        return assetstate;
    }

    public void setAssetstate(String assetstate) {
        this.assetstate = assetstate;
    }

    public Integer getAssetstateid() {
        return assetstateid;
    }

    public void setAssetstateid(Integer assetstateid) {
        this.assetstateid = assetstateid;
    }

    public String getAssetsource() {
        return assetsource;
    }

    public void setAssetsource(String assetsource) {
        this.assetsource = assetsource;
    }

    public Integer getAssetsourceid() {
        return assetsourceid;
    }

    public void setAssetsourceid(Integer assetsourceid) {
        this.assetsourceid = assetsourceid;
    }

    public Date getPostingdate() {
        return postingdate;
    }

    public void setPostingdate(Date postingdate) {
        this.postingdate = postingdate;
    }

    public Integer getPredictyear() {
        return predictyear;
    }

    public void setPredictyear(Integer predictyear) {
        this.predictyear = predictyear;
    }

    public String getDiscount() {
        return discount;
    }

    public void setDiscount(String discount) {
        this.discount = discount;
    }

    public String getSerialnumber() {
        return serialnumber;
    }

    public void setSerialnumber(String serialnumber) {
        this.serialnumber = serialnumber;
    }

    public String getIschecked() {
        return ischecked;
    }

    public void setIschecked(String ischecked) {
        this.ischecked = ischecked;
    }

    public String getFinanceno() {
        return financeno;
    }

    public void setFinanceno(String financeno) {
        this.financeno = financeno;
    }

    public String getFinancetype() {
        return financetype;
    }

    public void setFinancetype(String financetype) {
        this.financetype = financetype;
    }

    public String getOriginalno() {
        return originalno;
    }

    public void setOriginalno(String originalno) {
        this.originalno = originalno;
    }

    public String getFactoryno() {
        return factoryno;
    }

    public void setFactoryno(String factoryno) {
        this.factoryno = factoryno;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Date getRepairat() {
        return repairat;
    }

    public void setRepairat(Date repairat) {
        this.repairat = repairat;
    }

    public String getTakestock() {
        return takestock;
    }

    public void setTakestock(String takestock) {
        this.takestock = takestock;
    }

    public Integer getGone() {
        return gone;
    }

    public void setGone(Integer gone) {
        this.gone = gone;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Date getScrapat() {
        return scrapat;
    }

    public void setScrapat(Date scrapat) {
        this.scrapat = scrapat;
    }

    public String getScrapway() {
        return scrapway;
    }

    public void setScrapway(String scrapway) {
        this.scrapway = scrapway;
    }

    public String getTypepath() {
        return typepath;
    }

    public void setTypepath(String typepath) {
        this.typepath = typepath;
    }

    public String getLocationpath() {
        return locationpath;
    }

    public void setLocationpath(String locationpath) {
        this.locationpath = locationpath;
    }

    public String getCompanypath() {
        return companypath;
    }

    public void setCompanypath(String companypath) {
        this.companypath = companypath;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getRefuse() {
        return refuse;
    }

    public void setRefuse(String refuse) {
        this.refuse = refuse;
    }

    public Integer getFormula() {
        return formula;
    }

    public void setFormula(Integer formula) {
        this.formula = formula;
    }

    public Integer getGuid() {
        return guid;
    }

    public void setGuid(Integer guid) {
        this.guid = guid;
    }

    public Integer getParentid() {
        return parentid;
    }

    public void setParentid(Integer parentid) {
        this.parentid = parentid;
    }

    public Integer getCopyid() {
        return copyid;
    }

    public void setCopyid(Integer copyid) {
        this.copyid = copyid;
    }

    public Date getJiti() {
        return jiti;
    }

    public void setJiti(Date jiti) {
        this.jiti = jiti;
    }

    public String getPara1() {
        return para1;
    }

    public void setPara1(String para1) {
        this.para1 = para1;
    }

    public Integer getApprovalid() {
        return approvalid;
    }

    public void setApprovalid(Integer approvalid) {
        this.approvalid = approvalid;
    }

    public Integer getReceive() {
        return receive;
    }

    public void setReceive(Integer receive) {
        this.receive = receive;
    }

    public String getPrevDepartment() {
        return prevDepartment;
    }

    public void setPrevDepartment(String prevDepartment) {
        this.prevDepartment = prevDepartment;
    }

    public String getPrevCompany() {
        return prevCompany;
    }

    public void setPrevCompany(String prevCompany) {
        this.prevCompany = prevCompany;
    }

    public String getPrevDuty() {
        return prevDuty;
    }

    public void setPrevDuty(String prevDuty) {
        this.prevDuty = prevDuty;
    }

    public Integer getPrevDutyid() {
        return prevDutyid;
    }

    public void setPrevDutyid(Integer prevDutyid) {
        this.prevDutyid = prevDutyid;
    }

    public String getStore() {
        return store;
    }

    public void setStore(String store) {
        this.store = store;
    }

    public Integer getBeforemonth() {
        return beforemonth;
    }

    public void setBeforemonth(Integer beforemonth) {
        this.beforemonth = beforemonth;
    }

    public Double getBeforedepreciation() {
        return beforedepreciation;
    }

    public void setBeforedepreciation(Double beforedepreciation) {
        this.beforedepreciation = beforedepreciation;
    }

    public Integer getPrevDepid() {
        return prevDepid;
    }

    public void setPrevDepid(Integer prevDepid) {
        this.prevDepid = prevDepid;
    }

    public String getNewplace() {
        return newplace;
    }

    public void setNewplace(String newplace) {
        this.newplace = newplace;
    }

    public String getMainassetno() {
        return mainassetno;
    }

    public void setMainassetno(String mainassetno) {
        this.mainassetno = mainassetno;
    }

    public Integer getTax() {
        return tax;
    }

    public void setTax(Integer tax) {
        this.tax = tax;
    }

    public String getUsefor() {
        return usefor;
    }

    public void setUsefor(String usefor) {
        this.usefor = usefor;
    }

}

